class MemberMailer < ActionMailer::Base
  default from: Settings.email_from

  def welcome_email(member, url)
    @member = member
    @url  = url
    mail(to: @member.email, subject: "[#{Settings.organization_name}] #{t(:welcome_email_subject)}")
  end

end
