class Ability
  include CanCan::Ability

  def initialize(member)
    if member
      can :read, Member, :id => member.id
      can :read, Subscription, :member_id => member.id
      can :read, VpnService, :member_id => member.id
      if member.admin?
        can :manage, :all
      end
    end
  end
end
