Ambre::Application.routes.draw do
  devise_for :members

  root :to => 'dashboard#index'

  resources :vpn_services
  resources :networks
  get 'members/list' => 'members#list'
  resources :members, :only => [:create, :edit, :index, :new, :show, :update] do
    resources :subscriptions
    resources :vpn_services
  end
end
