# -*- coding: UTF-8 -*-
#
# This file contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).

if Rails.env.development?
  member = FactoryGirl.create(:member)
  board_member = FactoryGirl.create(:board_member)
  network_vpn = FactoryGirl.create(:network)

  puts <<-EOF.strip_heredoc

    Default members:
     - #{member.email} / #{member.password}
     - #{board_member.email} / #{board_member.password} ← admin

    Default networks:
     - #{network_vpn.name} / #{network_vpn.netmask_ipv4}

  EOF
end
