# language: fr

Fonctionnalité: Consultation de la liste des abonnements
  En tant qu'administrateur
  Je dois pouvoir consulter la liste des abonnements

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que l'association compte Fabien comme membre actif

  @iteration_2 @iteration_abonnement
  Scénario: Consultation de la liste des abonnements
    Etant donné que Fabien possède un abonnement VPN
    Et que je visite la page de liste des abonnements
    Alors je dois voir apparaitre la liste des abonnements

  @iteration_abonnement
  Scénario: affichage d'une indication de prélévement automatique dans la liste
    Etant donné un abonnement dont les prélévements automatiques sont activés
    Lorsque je visite la page de liste des abonnements
    Alors je dois voir apparaitre que le prélevement automatique est activé pour cet abonnement

  @iteration_2 @iteration_abonnement
  Scénario: affichage de la date d'expiration des abonnements dans la liste
    Etant donné que Fabien possède un abonnement VPN expirant dans 2 mois
    Lorsque je visite la page de liste des abonnements
    Alors je dois voir apparaitre que la date d'expiration de l'abonnement est dans 2 mois

  @iteration_2 @iteration_abonnement
  Scénario: affichage du type de l'abonnement (VPN) dans la liste
    Etant donné que Fabien possède un abonnement VPN
    Lorsque je visite la page de liste des abonnements
    Alors je dois voir apparaitre que Fabien est titulaire d'un abonnement de type VPN

  @iteration_abonnement
  Scénario: affichage du type de l'abonnement (ADSL) dans la liste
    Etant donné que Fabien possède un abonnement ADSL
    Lorsque je visite la page de liste des abonnements
    Alors je dois voir apparaitre que Fabien est titulaire d'un abonnement de type ADSL

