# language: fr

Fonctionnalité: Consultation des détails techniques d'un abonnement
  En tant qu'administrateur
  Je dois pouvoir consulter les détails techniques des abonnements de chaque membre

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que l'association compte Fabien comme membre actif

  @iteration_abonnement @iteration_adsl
  Scénario: Consultation des détails techniques d'un abonnement ADSL
    Etant donné que Fabien possède un abonnement ADSL
    Et que je visite la page des détails techniques de l'abonnement ADSL de Fabien
    Alors je dois voir le numéro de téléphone de cette ligne ADSL
    Et je dois voir le login (et le mot de passe) pour la connexion (radius)
    Et je dois voir apparaitre les IP (IPv4 et IPv6) allouées à cet abonnement ADSL
    Et je dois voir la configuration DNS pour cet abonnement (nom et reverse ou délégation)
    Et je dois voir un lien permettant de modifier ces données techniques

  @iteration_abonnement @iteration_vpn @iteration_2
  Scénario: Consultation des détails techniques d'un abonnement VPN
    Etant donné que Fabien possède un abonnement VPN
    Et que je visite la page des détails techniques de l'abonnement VPN de Fabien
    Alors je dois voir le login de cet abonnement VPN
    Et je dois voir apparaitre le mot de passe du VPN
    Et je dois voir apparaitre l'IPv4 alloués à cet abonnement VPN

  @iteration_abonnement @iteration_vpn
  Scénario: Consultation de la configuration DNS d'un abonnement VPN
    Etant donné que Fabien possède un abonnement VPN
    Et que je visite la page des détails techniques de l'abonnement VPN de Fabien
    Alors je dois voir le login (et le mot de passe) de cet abonnement VPN
    Et je dois voir la configuration DNS pour cet abonnement (nom et reverse ou délégation)

  @iteration_abonnement @iteration_vpn
  Scénario: Lien de modification des détails techniques d'un abonnement VPN
    Etant donné que Fabien possède un abonnement VPN 
    Et que je visite la page des détails techniques de l'abonnement VPN de Fabien
    Alors je dois voir un lien permettant de modifier ces données techniques

  @iteration_abonnement @iteration_vpn @bug_402
  Scénario: Retour apres affichage des détails techniques d'un abonnement VPN
    Etant donné que Fabien possède un abonnement VPN 
    Et que je visite la page permettant de consulter les informations sur Fabien
    Et que je visite la page des détails techniques de l'abonnement VPN de Fabien
    Et que je reviens en arriere
    Alors je dois être redirigé vers la page avec les informations de ce membre
