# language: fr

Fonctionnalité: Modification des détails techniques d'un abonnement
  En tant qu'administrateur
  Je dois pouvoir modifier les détails techniques des abonnements de chaque membre

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que l'association compte Fabien comme membre actif

  @iteration_abonnement @iteration_adsl
  Scénario: Modification des détails techniques d'un abonnement ADSL
    Etant donné que Fabien possède un abonnement ADSL
    Et que je visite la page de modification des détails techniques de l'abonnement ADSL de Fabien
    Alors je dois pouvoir déclencher une procédure de déménagement de la ligne
    Et je dois pouvoir changer le login (et le mot de passe) de cet abonnement
    Et je dois pouvoir ajouter, supprimer et modifier les IP (IPv4 et IPv6) allouées à cet abonnement ADSL
    Et je dois pouvoir « Modifier la configuration DNS d'un abonnement » (cf. infra)

  @iteration_abonnement
  Scénario: Modification de la configuration DNS d'un abonnement
    Etant donné que je visite la page de modification de configuration DNS d'un abonnement
    Alors je dois pouvoir changer le nom (A/AAAA) de la configuration DNS de l'abonnement
    Et je dois pouvoir changer le reverse (PTR) de la configuration DNS de l'abonnement 
    Et je dois pouvoir déléguer la gestion de cette adresse vers un SOA
    Et je dois pouvoir changer l'adresse IP du SOA
    Et je dois pouvoir supprimer une délégation pour la remplacer par un nom (par défaut ou choisi)

