# language: fr

# Cette fonctionnalité correspond à la Feature #388
# <https://atelier.gresille.org/issues/388>

@feature_388
Fonctionnalité: Liste des adresses électroniques des membres
  En tant que membre du conseil d'administration
  Je dois pouvoir exporter la liste des adresses électroniques des membres

  Contexte:
    Etant donné que je suis connectée en tant que membre du conseil d'administration

   Scénario: Exporter la liste des adresses électroniques des membres
     Etant donné que l'association compte Fabien comme membre
     Et un membre dont la dernière cotisation date de plus d'un an
     Lorsque que je visite la page avec la liste des membres actifs
     Et que je génère la liste des adresses électroniques
     Alors je dois voir l'adresse électronique de Fabien
     Et je ne dois pas voir l'adresse électronique du membre
