# language: fr

Fonctionnalité: Modification d'un membre
  En tant qu'administrateur
  Je souhaite pouvoir modifier les informations d'un membre.

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que l'association compte Fabien comme membre actif
    Et que je visite la page permettant de modifier les informations sur Fabien

  @iteration_2
  Scénario: Modification d'un membre avec succès
    Lorsque je modifie les informations de Fabien
    Alors je dois être redirigé vers la page du membre
    Et je dois voir une notification « Modifications enregistrées. »
    Et je dois voir les nouvelles informations sur le membre

  @iteration_2
  Scénario: Il manque l'adresse du membre
    Lorsque je modifie les informations de Fabien en effaçant son adresse
    Alors je dois voir « Il manque l'adresse. »

  @iteration_2
  Scénario: Il manque le nom du membre
    Lorsque je modifie les informations de Fabien en effaçant son nom
    Alors je dois voir « Il manque le nom. »

  @iteration_2
  Scénario: Il manque le courriel du nouveau membre
    Lorsque je modifie les informations de Fabien en effaçant son courriel
    Alors je dois voir « Il manque le courriel. »

  @iteration_2
  Scénario: Le courriel du membre existe déjà dans la base
    Lorsque je modifie les informations de Fabien avec un courriel qui existe dans la base
    Alors je dois voir que le courriel « n'est pas disponible » car il est déjà utilisé
