# language: fr

Fonctionnalité: Tableau de bord d'un membre du conseil d'administration
  En tant que membre du conseil d'administration
  Sur la page d'accueil de mon compte, je souhaite pouvoir consulter un tableau de bord récapitulatif

  @iteration_1 @bug_428
  Scénario: Consultation du tableau de bord
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Lorsque je visite la page d'accueil de mon compte
    Alors je dois voir le nombre total d'adhérents
    Et je dois voir le nombre total de services VPN actifs
    Et je dois voir le nombre total de services ADSL actifs

  @iteration_1
  Scénario: Ajout d'un nouveau membre
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Lorsque je visite la page d'accueil de mon compte
    Alors je dois voir un lien vers la page d'ajout d'un nouveau membre
    Et je dois avoir un lien vers la page d'ajout d'un nouveau service VPN

  @feature_397
  Scénario: Liens externes
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Lorsque je visite la page d'accueil de mon compte
    Alors je dois voir des liens vers les pages de documentation des services
    Et je dois voir un lien vers le support de Rézine
