# language: fr

Fonctionnalité: Consultation des détails techniques d'un abonnement
  En tant que membre
  Je souhaite pouvoir consulter les détails techniques de mes abonnements

  Contexte:
    Etant donné que je suis connecté en tant que membre

  @iteration_abonnement @iteration_adsl
  Scénario: Consultation des détails techniques d'un abonnement ADSL
    Etant donné que je visite la page des détails techniques d'un de mes abonnements de type ADSL
    Alors je dois voir le numéro de téléphone de cette ligne ADSL
    Et    je dois voir le login (et le mot de passe) de mon abonnement ADSL
    Et    je dois voir les adresses IP (IPv4 et IPv6) attribuées à cet abonnement
    Et    je dois voir la configuration DNS pour cet abonnement (nom et reverse ou délégation)
    Et    je dois voir un lien vers la documentation pour effectuer la configuration
    #Et    je dois voir un exemple minimal de configuration de ppp adaptée à mon abonnement

  @iteration_abonnement @iteration_vpn @iteration_2
  Scénario: Consultation des détails techniques d'un abonnement VPN
    Etant donné que je possède un abonnement VPN
    Et que je visite la page des détails techniques d'un de mes abonnements de type VPN
    Alors je dois voir le login de mon abonnement VPN
    Et je dois voir apparaitre l'IPv4 alloués à mon abonnement VPN
    Et je dois voir apparaitre le mot de passe de mon VPN
    # Et je dois voir l'adresse IPv6 attribuées à cet abonnement

  @iteration_abonnement @iteration_vpn
  Scénario: Consultation de la configuration DNS d'un abonnement VPN
    Etant donné que je possède un abonnement VPN
    Et que je visite la page des détails techniques d'un de mes abonnements de type VPN
    Alors je dois voir la configuration DNS pour cet abonnement (nom et reverse ou délégation)
    Et je dois voir un lien vers la documentation pour effectuer la configuration
    Et je dois voir un bouton pour me générer un secret d'authentification supplémentaire
    Et je dois voir un lien vers le certificat d'autorité TLS du VPN

  @iteration_vpn @bug_435
  Scénario: Impossible de modifier la configuration DNS d'un abonnement VPN
    Etant donné que je possède un abonnement VPN
    Et que je visite la page de modification des détails techniques d'un de mes abonnements de type VPN
    Alors je dois voir un message d'erreur « Vous n'êtes pas autorisé à accéder à cette page. »
    # Comment tester cette redirection ?
    #Et je dois être redirigé sur la page précédente
