# language: fr

Fonctionnalité: Tableau de bord d'un membre
  En tant que membre de l'association
  Sur la page d'accueil de mon compte, je souhaite pouvoir consulter un tableau de bord récapitulatif

  Contexte:

  @iteration_1
  Scénario: Affichage de l'état de la cotisation
    Etant donné que je suis connecté en tant que membre
    Lorsque je visite la page d'accueil de mon compte
    Alors je dois voir l'état de ma cotisation

  @hotfix
  Scénario: Affichage de l'état lorsque aucune cotisation n'a été encore payé
    Etant donné que je suis connecté en tant que membre n'ayant pas encore payé sa cotisation
    Lorsque je visite la page d'accueil de mon compte
    Alors je dois voir l'état de ma cotisation

  @iteration_2 @iteration_abonnement
  Scénario: Affichage des abonnements
    Etant donné que je suis connecté en tant que membre
    Et que je possède au moins un abonnement
    Lorsque je visite la page d'accueil de mon compte
    Alors je dois voir les différents abonnements auxquels j'ai souscrits
    Et je dois voir un lien vers les détails techniques de chaque abonnement

  @feature_397
  Scénario: Liens externes
    Etant donné que je suis connecté en tant que membre
    Lorsque je visite la page d'accueil de mon compte
    Alors je dois voir des liens vers les pages de documentation des services
    Et je dois voir un lien vers le support de Rézine
