task :export_tunnel_radius, [:export_path] => :environment do |t, args|
  abort "Error evaluating the export path." if !File.directory?(args[:export_path].to_s)
  export_path = args[:export_path].to_s
  
  template = File.read("#{Rails.root}/app/views/radius/vpn_data.radius.erb")
 
  @vpn_services = VpnService.all
  network_vpn = Network.find_by_name("vpn")
  @network_vpn_obj = IPAddress::IPv4.new(network_vpn.netmask_ipv4)
 
  renderer = ERB.new(template)
  result = renderer.result(binding)
 
  File.open(export_path + "users.ambre-tunnel", 'w') {|f| f.write(result) }
  
  digest = OpenSSL::Digest::SHA256.file(export_path + 'users.ambre-tunnel')
  File.open(export_path + "users.ambre-tunnel.sha256", 'w') {|f| f.write(digest.to_s) }

end
