class DashboardController < ApplicationController
  before_filter :authenticate_member!
  load_and_authorize_resource :member, :parent => false

  def index
    @member = current_member
    if current_member.admin?
      @member_count = Member.count
      @vpn_service_count = VpnService.count
      render :board_member
    end
  end

end
