# language: fr

Fonctionnalité: Consultation de la liste des mouvements des comptes prépayés
  En tant que membre du conseil d'administration
  Je souhaite pouvoir consulter la liste des mouvements des comptes prépayés des membres
  Et je souhaite pouvoir télécharger les mouvements au format hledger

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que des mouvements de comptes prépayés existent dans la base

  @iteration_3 @iteration_pepettes
  Scénario: Consultation de la liste des mouvements des comptes prépayés
    Etant donné que je visite la page de la liste des mouvements des comptes prépayés
    Alors je dois voir apparaitre la liste des mouvements du mois courant
    Et je dois voir le montant des mouvements
    Et je dois voir la date des mouvements
    Et je dois voir le type des mouvements

  @iteration_3
  Scénario: Téléchargement des mouvements des comptes du mois dernier
    Etant donné que je visite la page de la liste des mouvements des comptes prépayés
    Et que je sélectionne le mois précédent dans la liste déroulante
    Lorsque je clique sur le lien de téléchargement des mouvements
    Alors je dois obtenir un fichier au format hledger
    Et je dois voir les mouvements au format hledger
