# language: fr

Fonctionnalité: Enregistrement d'un nouvel abonnement ADSL
  En tant qu'administrateur
  Je souhaite pouvoir enregistrer une nouvelle ligne ADSL pour un membre.

  @iteration_pepettes @iteration_abonnement @iteration_adsl
  Scénario: Enregistrement d'une nouvelle ligne ADSL avec succès
    Etant donné que je visite la page d'enregistrement d'un nouvel abonnement ADSL
    Lorsque j'enregistre un abonnement ADSL pour un membre pour une periode de 2 mois
    Alors je dois être redirigé vers la page du membre
    Et je dois voir une notification « Ligne ADSL enregistrée. »
    Et la nouvelle ligne ADSL doit apparaitre dans la liste des abonnements
    Et la date d'expiration de l'abonnement doit être dans 2 mois
    Et le membre doit payer les frais de mise en service
    Et une ligne doit être ajoutée au fichier exporté vers le radius
    Et une configuration DNS par défaut doit être générée pour exporter vers le DNS

  @iteration_abonnement @iteration_adsl
  Scénario: Le numéro de téléphone n'est pas éligible
    Etant donné que je visite la page d'enregistrement d'un nouvel abonnement
    Lorsque j'enregistre un abonnement de type ADSL pour un membre dont le numéro de téléphone n'est pas éligible
    Alors je dois voir « Numéro non éligible. »

