# language: fr

Fonctionnalité: Génération d'un fichier de prélévement des abonnements des membres
  En tant qu'administrateur
  Je souhaite pouvoir générer un fichier de prélévement des abonnements non à
  jour de paiement des membres dont les prélévements sont activés et dont les
  comptes prépayés ne sont pas suffisamment crédités.

  @iteration_abonnement @iteration_pepettes
  Scénario: Il y a des abonnements non à jour de paiements
    Etant donné que je consulte la liste des abonnements
    Lorsque je génère le fichier de prélévement
    Alors je dois obtenir un fichier contenant la liste des prélévements dont les comptes prépayés ne sont pas suffisamment crédités dans un format lisible par la banque.

  @iteration_abonnement @iteration_pepettes
  Scénario: Tous les abonnements sont à jour de paiements
    Etant donné que je consulte la liste des abonnements
    Lorsque je génère le fichier de prélévement
    Alors je dois voir « Tous les abonnements sont déjà à jour de paiements. »
