# language: fr

Fonctionnalité: Modification des détails techniques d'un abonnement VPN : login, mot de passe, date d'expiration
  En tant qu'administrateur
  Je dois pouvoir modifier les détails techniques des abonnements VPN de chaque membre

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que l'association compte Fabien comme membre actif
    Et que la plage IP dédiée au réseau VPN est "10.255.6.64/27"
    Et que Fabien possède un abonnement VPN

  @iteration_abonnement @iteration_vpn
  Scénario: Modification des détails techniques d'un abonnement VPN
    Etant donné que je visite la page de modification des détails techniques de l'abonnement VPN de Fabien
    Alors je dois pouvoir changer le login de cet abonnement VPN
    Et je dois voir le bouton « Générer un nouveau mot de passe » pour cet abonnement VPN
    Et je dois pouvoir ajouter un nombre illimités de mois pour la date d'expiration de cet abonnement VPN

  @iteration_abonnement @iteration_vpn @bug_424
  Scénario: Modification des détails techniques d'un abonnement VPN avec succès
    Lorsque je modifie un ou plusieurs détails techniques d'un abonnement VPN de Fabien
    Alors je dois être redirigé vers la page de l'abonnement VPN de Fabien
    Et je dois voir une notification « Modifications du VPN enregistrées. »
    Et je dois voir les nouveaux détails techniques de l'abonnement VPN

  @iteration_abonnement @iteration_vpn
  Scénario: Il manque le login du VPN
    Lorsque je modifie les détails techniques d'un abonnement VPN de Fabien en effaçant le login du VPN
    Alors je dois voir « Il manque le login du VPN. »

  @iteration_abonnement @iteration_vpn
  Scénario: Le login du VPN existe déjà
    Lorsque je modifie les détails techniques d'un abonnement VPN de Fabien en utilisant un login du VPN déjà existant
    Alors je dois voir « Ce login VPN est déjà utilisé. »

  @iteration_abonnement @iteration_vpn
  Scénario: La date d'expiration est dans le passé
    Lorsque je modifie la date d'expiration d'un abonnement VPN de Fabien en utilisant une date dans le passé
    Alors je dois voir « cette date est dans le passé »
