# language: fr

Fonctionnalité: Consultation de la liste des anciens membres
  En tant que membre du conseil d'administration
  Je dois pouvoir consulter la liste des anciens membres

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration

  @iteration_1 @feature_423
  Scénario: Avec un membre actif
    Etant donné que l'association compte Fabien comme membre
    Et que Fabien a payé sa cotisation pour l'année en cours
    Lorsque que je visite la page avec la liste des anciens membres
    Alors je ne dois pas voir apparaître "Fabien" dans la liste des anciens membres

  Scénario: Avec un membre en retard sur sa cotisation
    Etant donné que l'association compte Fabien comme membre
    Et que Fabien n'a pas payé sa cotisation pour l'année en cours
    Lorsque que je visite la page de liste des anciens membres
    Alors je ne dois pas voir apparaître "Fabien" dans la liste des anciens membres

  Scénario: Avec un ancien membre
    Etant donné que l'association compte Fabien comme membre
    Et que Fabien n'a pas payé sa cotisation depuis 2 ans
    Lorsque que je visite la page de liste des anciens membres
    Alors je dois voir apparaître "Fabien" dans la liste des anciens membres
