# language: fr

Fonctionnalité: Consultation de la liste des membres actifs
  En tant que membre du conseil d'administration
  Je dois pouvoir consulter la liste des membres actifs

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration

  @iteration_1
  Scénario: Avec un membre actif
    Etant donné que l'association compte Fabien comme membre
    Et que Fabien a payé sa cotisation pour l'année en cours
    Lorsque que je visite la page avec la liste des membres actifs
    Alors je dois voir apparaître Fabien dans la liste des membres actifs

  Scénario: Avec un membre en retard sur sa cotisation
    Etant donné que l'association compte Fabien comme membre
    Et que Fabien n'a pas payé sa cotisation pour l'année en cours
    Lorsque que je visite la page de liste des membres actifs
    Alors je dois voir apparaître "Fabien" en grisé dans la liste des membres

  Scénario: Avec un ancien membre
    Etant donné que l'association compte Fabien comme membre
    Et que Fabien n'a pas payé sa cotisation depuis 2 ans
    Lorsque que je visite la page de liste des membres actifs
    Alors je ne dois pas voir apparaître "Fabien" dans la liste des membres actifs

	@bug_443
	Scénario: Avec un membre en limite de cotisation
		Etant donné que Fabien dont la dernière cotisation date de plus d'un an est membre de l'association
		Et que Fabien a payé sa dernière cotisation 364 jours avant
		Lorsque je visite la page avec la liste des membres actifs
    Alors je dois voir apparaître Fabien dans la liste des membres actifs
