# language: fr

Fonctionnalité: Gestion des abonnements d'un membre
  En tant qu'administrateur, je souhaite pouvoir gérer les abonnements d'un
  membre. C'est à dire voir la liste des abonnements de ce membre, supprimer
  un abonnement ou enregistrer un paiement (manuel) de ses abonnements.

  Contexte:
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Et que l'association compte Fabien comme membre actif
    Et que Fabien possède un abonnement VPN
    Et que je visite la page permettant de consulter les informations sur Fabien

  @iteration_2 @iteration_abonnement
  Scénario: Affichage des abonnements du membre
    Alors je dois voir affichée la liste des abonnements du membre
    Et je dois voir le type de chaque abonnement
    Et je dois voir la date d'expiration de l'abonnement
    Et je dois voir un lien vers les détails techniques de chaque abonnement
    Et je dois voir un lien vers la modification de chaque abonnement
    Et je dois voir un lien vers la suppression de chaque abonnement

  @iteration_abonnement
  Scénario: Supression d'un abonnement du membre
    Etant donné un abonnement dans la liste des abonnements du membre
    Lorsque je supprime l'abonnement
    Alors l'abonnement doit disparaitre de la liste
    Et je dois voir « L'abonnement a été supprimé. »

  @iteration_2 @iteration_abonnement
  Scénario: Ajouter un abonnement au membre
    Lorsque je souhaite ajouter un abonnement au membre
    Alors je suis redirigé vers la page d'enregistrement d'un nouvel abonnement
    Et le champ du membre est pré-rempli
