# language: fr

Fonctionnalité: Modification des informations de profil
  En tant que membre
  Je souhaite pouvoir modifier les informations de mon profil.

  Scénario: Modification des informations de profil avec succès
    Etant donné que je visite la page de modification de mon profil
    Lorsque je modifie les informations de mon profil
    Alors je dois être redirigé vers la page de recapitulatif de mon profil
    Et je dois voir une notification « Modifications enregistrées. »

  Scénario: Il manque l'adresse
  Etant donné que je visite la page de modification de mon profil
  Lorsque je modifie les informations de mon profil sans renseigner l'adresse
  Alors je dois voir « Il manque l'adresse. »

  Scénario: Il manque le nom
    Etant donné que je visite la page de modification de mon profil
    Lorsque je modifie les informations de mon profil sans renseigner le nom
    Alors je dois voir « Il manque le nom. »

  Scénario: Il manque le courriel
    Etant donné que je visite la page de modification de mon profil
    Lorsque je modifie les informations de mon profil sans renseigner le courriel
    Alors je dois voir « Il manque le courriel. »

  Scénario: Le courriel existe déjà dans la base
    Etant donné que je visite la page de modification de mon profil
    Lorsque je modifie les informations de mon profil avec un courriel existant
    Alors je dois voir « Le courriel existe déjà dans la base. »

