# language: fr

Fonctionnalité: Menu de navigation
  Je dois toujours avoir un menu affiché permettant d'accéder aux différentes pages
  de l'application.

  @iteration_1
  Scénario: affichage du menu pour un visiteur non authentifié
    Lorsque je visite la page d'authentification
    Alors un menu doit être affiché avec le nom de l'organisation
    Et un lien vers la page de connexion doit être présent dans le menu

  @iteration_1
  Scénario: affichage du menu pour un membre
    Etant donné que je suis connectée en tant que membre
    Lorsque que je visite la page d'accueil de mon compte
    Alors un menu doit être affiché avec le nom de l'organisation
    Et un lien vers la page du tableau de bord doit être présent dans le menu
    Et un lien pour se déconnecter doit être présent dans le menu

  @iteration_1 @bug_427 @bug_391 @bug_432
  Scénario: affichage du menu pour un membre du conseil d'administration
    Etant donné que je suis connecté en tant que membre du conseil d'administration
    Lorsque que je visite la page d'accueil de mon compte
    Alors un menu doit être affiché avec le nom de l'organisation
    Et un lien vers la page du tableau de bord doit être présent dans le menu
    Et un lien vers la page de liste des membres doit être présent dans le menu
    Et un lien vers la page de liste des VPN doit être présent dans le menu
    Et un lien pour se déconnecter doit être présent dans le menu
#    Et un lien vers la page de liste des abonnements ADSL doit être présent dans le menu
#    Et un lien vers la page de liste des abonnements Wifi doit être présent dans le menu
#    Et un lien vers la page de liste des abonnements fibre doit être présent dans le menu

