# language: fr

Fonctionnalité: Débit des comptes prépayés
  Tous les premiers du mois les comptes prépayés doivent être débité des
  montants correspondant aux abonnements souscris par les membres. Dans le cas
  d'un abonnement souscris depuis moins d'un mois le montant sera au prorata
  arrondi inferieur à l'entier.

  @iteration_3
  Scénario: Débit pour un membre ayant un abonnement VPN depuis plus d'un mois
    Etant donné un membre ayant un abonnement VPN d'une valeur de 7 euros mensuels datant de plus d'un mois
    Lorsque la tache automatisée est éxécutée
    Alors le compte du membre doit être débité de 7 euros

  @iteration_3
  Scénario: Débit pour un membre ayant un abonnement VPN depuis moins d'un mois
    Etant donné un membre ayant un abonnement VPN d'une valeur de 7 euros mensuels datant du 15 du mois précédent.
    Lorsque la tache automatisée est éxécutée
    Alors le compte du membre doit être débité de 3 euros.

  @iteration_3
  Scénario: Débit pour un membre ayant un compte prépayé insuffisamment crédité 
    Etant donné un membre ayant un abonnement VPN d'une valeur de 10 euros mensuels datant de plus d'un mois
    Et que le membre a un compte avec une balance de 5 euros
    Lorsque la tache automatisée est éxécutée
    Alors le compte du membre doit être débité de 10 euros
    Et la balance du compte du membre doit être de -5 euros
    Et un courriel d'alerte doit avoir été envoyé au membre et aux membres du conseil d'administration

  @iteration_3
  Scénario: Pas de débit pour un membre ayant un abonnement VPN dont la date d'expiration est atteinte
    Etant donné un membre ayant un abonnement VPN dont la date d'expiration est atteinte
    Et que le membre a un compte prépayé avec une balance de 5 euros
    Lorsque la tache automatisée est éxécutée
    Alors la balance du compte du membre doit être de 5 euros


