require 'spec_helper'

describe Network do
  it 'should create a new instance given valid attributes' do
    FactoryGirl.build(:network)
  end

  it 'should require a name' do
    no_name_sub = FactoryGirl.build(:network, :name => nil)
    no_name_sub.should_not be_valid
  end

  it 'should require a netmask ipv4' do
    no_netmask_ipv4_sub = FactoryGirl.build(:network, :netmask_ipv4 => nil)
    no_netmask_ipv4_sub.should_not be_valid
  end

end
